import { Schema, model } from "mongoose";
import { AddressType, OrganizationType } from "../config/types";

const AddressSchema = new Schema<AddressType>(
  {
    addressLine: String,
    city: String,
    country: String,
  },
  { id: false }
);

const ContactsSchema = new Schema<AddressType>(
  {
    email: String,
    phone: String,
    address: { type: AddressSchema },
    website: String,
  },
  { id: false }
);

const organizationSchema = new Schema<OrganizationType>({
  name: String,
  description: String,
  contacts: { type: ContactsSchema, require: false },
  profilePicture: String,
});

const Organizations = model<OrganizationType>(
  "organizations",
  organizationSchema
);
export default Organizations;
