## Install python

install python 3.9 and set the env path

## Create conda python 3.9 env

conda create -n server tensorflow python=3.9

conda install scipy=1.9.3<br/>

- download and install correct scipy wheel https://pypi.org/project/scipy/#files : pip install <filename>.whl

pip install gensim==3.8.1<br/>
pip install texthero==1.1.0<br/>

conda install -c conda-forge importlib_metadata<br/>
pip install pyresparser==1.0.6<br/>
pip install soundfile==0.10.3.post1<br/>
pip install librosa==0.9.2

conda install -c blaze sqlite3
conda install tqdm=4.65.0
conda install pandas=1.5.3
conda install pytesseract
conda install "uvicorn[standard]"
conda install -c conda-forge fastapi
conda install websockets

pip install moviepy
pip install "libclang>=13.0.0"
pip install "tensorflow-io-gcs-filesystem>=0.23.1"
pip install pyannote.audio
pip install pyannote.core
pip install PyAudio
pip install python_speech_features

pip install fer==22.4.0

[OPTIONAL]
pip install pillow==9.0.0
conda install "numpy<1.24.0"
conda install cudatoolkit
conda update --all

### Install dlib

- Install Cmake : https://cmake.org/download/
- Install C++ compiler : https://visualstudio.microsoft.com/visual-cpp-build-tools
- pip install cmake
- pip install dlib==19.24

### End dlib

pip install imutils==0.5.4

## Run server

uvicorn main:app --reload

## Datasets & models

voice: https://drive.google.com/file/d/1wWsrN2Ep7x6lWqOXfr4rpKGYrJhWc8z7/view
models: https://drive.google.com/file/d/1TWjIiyyInXHaXySKymM6VcsIR5YMVQ1V/view?usp=share_link
shape_predictor_68_face_landmarks: https://www.kaggle.com/datasets/sergiovirahonda/shape-predictor-68-face-landmarksdat

## Folders

voices>auth>embed
voices>auth>temp
voices>interviews
models
data>voice

### Other conda commands

DELETE ENV : conda remove -n ENV_NAME --all
EXPORT ENV : conda env export > server_env.yaml
CREATE ENV BY ENV FILE : conda env create -f server_env.yaml
LIST ENV : conda list --export > requirements.txt
INSTALL ENV : conda install --file requirements.txt
